<!DOCTYPE html>
<!-- 
구조 분해 할당
https://developer.mozilla.org/ko/docs/Web/JavaScript/Reference/Operators/Destructuring_assignment
 -->
<html>
<head>
<meta charset="UTF-8">
<title>Insert title here</title>
<script type="text/javascript">

</script>
</head>
<body>
<script type="text/javascript">
	/* 예시. 선언 없는 구조 분해 할당 */
	let a, b;
	({a, b} = {a: 3, b: 5});
	console.log(a);
	console.log(b);
	
	/* 이름 다르게 해서 받고 싶을 때 */
	let {a:c, b:d} = {a: 3, b: 5};
	console.log(c);
	console.log(d);
</script>
</body>
</html>